package games.sudoku;

/**
 * Created by IntelliJ IDEA.
 * User: jtogel
 * Date: 10-Oct-2005
 * Time: 17:45:29
 * To change this template use File | Settings | File Templates.
 */
public class NaiveMutator implements Mutator {

    int lastMutated;
    int lastValue;
    int oldValue;

    public void setMutationRate (double rate) {
        // dummy
    }

    public int[] mutate (boolean[] fixed, int[] grid, int boxSize) {
        int position;
        do {
            position = (int) (Math.random () * grid.length);
        } while (fixed[position]);
        oldValue = grid[position];
        grid[position] = (int) (Math.random () * 9) + 1;
        lastMutated = position;
        lastValue = grid[position];
        return grid;
    }

    public int[] reverseLastMutation (boolean[] fixed, int[] grid, int boxSize) {
        grid[lastMutated] = oldValue;
        return grid;
    }
}
