package games.sudoku;

/**
 * Created by IntelliJ IDEA.
 * User: jtogel
 * Date: 25-Nov-2005
 * Time: 20:41:12
 * To change this template use File | Settings | File Templates.
 */
public class RowWiseCrossover implements Crossover {

    public int[] doCrossover (boolean[] fixed, int[] grid1, int[] grid2, int boxSize) {
        int[] child = new int[grid1.length];
        int rowLength = boxSize * boxSize;
        // copy each row either from parent 1 or parent 2
        for (int offset = 0; offset < child.length; offset = offset + rowLength) {
            if (Math.random () < 0.5) {
                System.arraycopy (grid1, offset, child, offset, rowLength);
            }
            else {
                System.arraycopy (grid2, offset, child, offset, rowLength);
            }
        }
        return child;
    }

}
