package games.sudoku;

/**
 * Created by IntelliJ IDEA.
 * User: jtogel
 * Date: 12-Oct-2005
 * Time: 18:26:04
 * To change this template use File | Settings | File Templates.
 */
public class UniformSwapMutator implements Mutator {

    int firstPosition = 0;
    int secondPosition = 0;

    public void setMutationRate (double rate) {
        // dummy
    }

    public int[] mutate (boolean[] fixed, int[] grid, int boxSize) {
        firstPosition =  randomPosition (fixed);
        secondPosition = randomPosition (fixed);
        swap (grid, firstPosition, secondPosition);
        return grid;
    }

    private int randomPosition (boolean[] fixed) {
        int position;
        do {
            position = (int) (Math.random () * fixed.length);
        } while (fixed[position]);
        return position;
    }

    public int[] reverseLastMutation (boolean[] fixed, int[] grid, int boxSize) {
        swap (grid, firstPosition, secondPosition);
        return grid;
    }

    public static void swap(int[] grid, int i, int j) {
        int tmp = grid[i];
        grid[i] = grid[j];
        grid[j] = tmp;
    }
}
